--- old/usr/src/uts/common/rpc/clnt_cots.c	2015-08-19 07:25:21.948063552 -0400
+++ new/usr/src/uts/common/rpc/clnt_cots.c	2015-08-19 07:25:21.953427154 -0400
@@ -987,7 +987,7 @@
 			break;
 		}
 		if (delay_first == TRUE)
-			ticks = clnt_cots_min_tout * drv_usectohz(1000000);
+			ticks = drv_sectohz(clnt_cots_min_tout);
 		goto cots_done;
 	}
 
@@ -1119,7 +1119,7 @@
 		    ZONE_IS_SHUTTING_DOWN)) {
 
 			/* wait 1 sec for queue to drain */
-			if (clnt_delay(drv_usectohz(1000000),
+			if (clnt_delay(drv_sectohz(1),
 			    h->cl_nosignal) == EINTR) {
 				p->cku_err.re_errno = EINTR;
 				p->cku_err.re_status = RPC_INTR;
@@ -1183,7 +1183,7 @@
 			lwp->lwp_nostop++;
 
 		oldlbolt = ddi_get_lbolt();
-		timout = wait.tv_sec * drv_usectohz(1000000) +
+		timout = drv_sectohz(wait.tv_sec) +
 		    drv_usectohz(wait.tv_usec) + oldlbolt;
 		/*
 		 * Iterate until the call_status is changed to something
@@ -1232,8 +1232,7 @@
 				clock_t diff;
 
 				curlbolt = ddi_get_lbolt();
-				ticks = clnt_cots_min_tout *
-				    drv_usectohz(1000000);
+				ticks = drv_sectohz(clnt_cots_min_tout);
 				diff = curlbolt - oldlbolt;
 				if (diff < ticks) {
 					delay_first = TRUE;
@@ -1715,7 +1714,7 @@
 	 * until there is a state change on the connection.
 	 */
 
-	timout = waitp->tv_sec * drv_usectohz(1000000) +
+	timout = drv_sectohz(waitp->tv_sec) +
 	    drv_usectohz(waitp->tv_usec) + ddi_get_lbolt();
 
 	if (nosignal) {
@@ -2353,7 +2352,7 @@
 			cm_entry->x_needrel = FALSE;
 
 			connmgr_sndrel(cm_entry);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 
 			mutex_enter(&connmgr_lock);
 		}
@@ -2469,7 +2468,7 @@
 			    "T_DISCON_REQ's ACK for connection %p\n",
 			    (void *)cm_entry);
 
-			timout = clnt_cots_min_conntout * drv_usectohz(1000000);
+			timout = drv_sectohz(clnt_cots_min_conntout);
 
 			/*
 			 * The TPI spec says that the T_DISCON_REQ
@@ -3708,7 +3707,7 @@
 	ASSERT(MUTEX_HELD(&clnt_pending_lock));
 	while (e->call_reply == NULL) {
 		if (waitp != NULL) {
-			timout = waitp->tv_sec * drv_usectohz(MICROSEC) +
+			timout = drv_sectohz(waitp->tv_sec) +
 			    drv_usectohz(waitp->tv_usec);
 			if (nosignal)
 				cv_stat = cv_reltimedwait(&e->call_cv,
